export * from './api';
export declare const schema: {
    $schema: string;
    $id: string;
    title: string;
    type: string;
    required: string[];
    properties: {
        schemaVersion: {
            type: string;
            pattern: string;
            title: string;
            examples: string[];
        };
        thresholds: {
            type: string;
            title: string;
            required: string[];
            properties: {
                high: {
                    type: string;
                    title: string;
                    minimum: number;
                    maximum: number;
                    examples: number[];
                };
                low: {
                    type: string;
                    title: string;
                    minimum: number;
                    maximum: number;
                    examples: number[];
                };
            };
        };
        files: {
            type: string;
            title: string;
            definitions: {
                position: {
                    type: string;
                    title: string;
                    required: string[];
                    properties: {
                        line: {
                            type: string;
                            minimum: number;
                            examples: number[];
                        };
                        column: {
                            type: string;
                            minimum: number;
                            examples: number[];
                        };
                    };
                };
            };
            additionalProperties: {
                type: string;
                title: string;
                required: string[];
                properties: {
                    language: {
                        type: string;
                        title: string;
                        examples: string[];
                    };
                    source: {
                        type: string;
                        title: string;
                        examples: string[];
                    };
                    mutants: {
                        type: string;
                        uniqueItems: boolean;
                        items: {
                            type: string;
                            title: string;
                            required: string[];
                            properties: {
                                id: {
                                    type: string;
                                    title: string;
                                    examples: string[];
                                };
                                mutatorName: {
                                    type: string;
                                    title: string;
                                    examples: string[];
                                };
                                replacement: {
                                    type: string;
                                    title: string;
                                    examples: string[];
                                };
                                description: {
                                    type: string;
                                    title: string;
                                    examples: string[];
                                };
                                location: {
                                    type: string;
                                    title: string;
                                    required: string[];
                                    properties: {
                                        start: {
                                            $ref: string;
                                            title: string;
                                        };
                                        end: {
                                            $ref: string;
                                            title: string;
                                        };
                                    };
                                };
                                status: {
                                    type: string;
                                    title: string;
                                    enum: string[];
                                    examples: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
    };
};
//# sourceMappingURL=index.d.ts.map